Package anbxj

# Enum Class Channel_SSLChannelType

java.lang.Object
java.lang.Enum<Channel_SSLChannelType>
anbxj.Channel_SSLChannelType

All Implemented Interfaces:
  `Serializable`, `Comparable<Channel_SSLChannelType>`, `Constable`

public enum Channel_SSLChannelType extends Enum<Channel_SSLChannelType>
Enumeration representing different types of SSL channels.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SSL_AUTH`
  SSL channel with authentication.
  `SSL_NONE`
  No SSL channel.
  `SSL_PLAIN`
  Plain SSL channel.
  `SSL_SECRET`
  SSL channel with secret features.
  `SSL_SECURE`
  Secure SSL channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getInfo()`
  Returns information about SSL Channel Types.
  `static Channel_SSLChannelType`
  `String2ChannelType(String cts)`
  Returns the corresponding SSL channel type given a string The string should be a valid SSL channel type name
  `static Channel_SSLChannelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Channel_SSLChannelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SSL_NONE

    public static final Channel_SSLChannelType SSL_NONE
    No SSL channel.

  - ### SSL_PLAIN

    public static final Channel_SSLChannelType SSL_PLAIN
    Plain SSL channel.

  - ### SSL_AUTH

    public static final Channel_SSLChannelType SSL_AUTH
    SSL channel with authentication.

  - ### SSL_SECRET

    public static final Channel_SSLChannelType SSL_SECRET
    SSL channel with secret features.

  - ### SSL_SECURE

    public static final Channel_SSLChannelType SSL_SECURE
    Secure SSL channel.

- ## Method Details

  - ### values

    public static Channel_SSLChannelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Channel_SSLChannelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### String2ChannelType

    public static Channel_SSLChannelType String2ChannelType(String cts)
    Returns the corresponding SSL channel type given a string The string should be a valid SSL channel type name
    Parameters:
      `cts` - the specified string
    Returns:
      a Channel_SSLChannelType

  - ### getInfo

    public static String getInfo()
    Returns information about SSL Channel Types.
    Returns:
      a string containing information about SSL Channel Types